Package weka.core

# Enum Class TechnicalInformation.Type

java.lang.Object
java.lang.Enum<TechnicalInformation.Type>
weka.core.TechnicalInformation.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<TechnicalInformation.Type>`, `Constable`

Enclosing class:
  TechnicalInformation

public static enum TechnicalInformation.Type extends Enum<TechnicalInformation.Type>
the different types of information

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ARTICLE`
  An article from a journal or magazine.
  `BOOK`
  A book with an explicit publisher.
  `BOOKLET`
  A work that is printed and bound, but without a named publisher or sponsoring institution.
  `CONFERENCE`
  The same as inproceedings.
  `INBOOK`
  A part of a book, which may be a chapter (or section or whatever) and/or a range of pages.
  `INCOLLECTION`
  A part of a book having its own title.
  `INPROCEEDINGS`
  An article in a conference proceedings.
  `MANUAL`
  Technical documentation.
  `MASTERSTHESIS`
  A Master's thesis.
  `MISC`
  Use this type when nothing else fits.
  `PHDTHESIS`
  A PhD thesis.
  `PROCEEDINGS`
  The proceedings of a conference.
  `TECHREPORT`
  A report published by a school or other institution, usually numbered within a series.
  `UNPUBLISHED`
  A document having an author and title, but not formally published.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getComment()`
  returns the comment string
  `String`
  `getDisplay()`
  returns the display string
  `String`
  `toString()`
  returns the display string of the Type
  `static TechnicalInformation.Type`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static TechnicalInformation.Type[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ARTICLE

    public static final TechnicalInformation.Type ARTICLE
    An article from a journal or magazine.

  - ### BOOK

    public static final TechnicalInformation.Type BOOK
    A book with an explicit publisher.

  - ### BOOKLET

    public static final TechnicalInformation.Type BOOKLET
    A work that is printed and bound, but without a named publisher or sponsoring institution.

  - ### CONFERENCE

    public static final TechnicalInformation.Type CONFERENCE
    The same as inproceedings.

  - ### INBOOK

    public static final TechnicalInformation.Type INBOOK
    A part of a book, which may be a chapter (or section or whatever) and/or a range of pages.

  - ### INCOLLECTION

    public static final TechnicalInformation.Type INCOLLECTION
    A part of a book having its own title.

  - ### INPROCEEDINGS

    public static final TechnicalInformation.Type INPROCEEDINGS
    An article in a conference proceedings.

  - ### MANUAL

    public static final TechnicalInformation.Type MANUAL
    Technical documentation.

  - ### MASTERSTHESIS

    public static final TechnicalInformation.Type MASTERSTHESIS
    A Master's thesis.

  - ### MISC

    public static final TechnicalInformation.Type MISC
    Use this type when nothing else fits.

  - ### PHDTHESIS

    public static final TechnicalInformation.Type PHDTHESIS
    A PhD thesis.

  - ### PROCEEDINGS

    public static final TechnicalInformation.Type PROCEEDINGS
    The proceedings of a conference.

  - ### TECHREPORT

    public static final TechnicalInformation.Type TECHREPORT
    A report published by a school or other institution, usually numbered within a series.

  - ### UNPUBLISHED

    public static final TechnicalInformation.Type UNPUBLISHED
    A document having an author and title, but not formally published.

- ## Method Details

  - ### values

    public static TechnicalInformation.Type[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TechnicalInformation.Type valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getDisplay

    public String getDisplay()
    returns the display string
    Returns:
      the display string

  - ### getComment

    public String getComment()
    returns the comment string
    Returns:
      the comment string

  - ### toString

    public String toString()
    returns the display string of the Type
    Overrides:
      `toString` in class `Enum<TechnicalInformation.Type>`
    Returns:
      the display string